php7.0-enchant_7.0.33-0ubuntu0.16.04.6_amd64.deb


Advertisement

Description

php7.0-enchant - Enchant module for PHP

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe amd64
Package filename php7.0-enchant_7.0.33-0ubuntu0.16.04.6_amd64.deb
Package name php7.0-enchant
Package version 7.0.33
Package release 0ubuntu0.16.04.6
Package architecture amd64
Package type deb
Category universe/php
Homepage http://www.php.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 8.98 KB
Installed size 51.00 KB
This package provides the Enchant module(s) for PHP.
PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
open source general-purpose scripting language that is especially suited
for web development and can be embedded into HTML.

Alternatives

Package Version Architecture Repository
php7.0-enchant_7.0.33-0ubuntu0.16.04.6_i386.deb 7.0.33 i386 Ubuntu Updates Universe
php7.0-enchant_7.0.4-7ubuntu2_i386.deb 7.0.4 i386 Ubuntu Universe
php7.0-enchant_7.0.4-7ubuntu2_amd64.deb 7.0.4 amd64 Ubuntu Universe
php7.0-enchant - - -

Requires

Name Value
libc6 >= 2.14
libenchant1c2a >= 1.6.0
php-common >= 1:33
php7.0-common = 7.0.33-0ubuntu0.16.04.6
ucf -

Provides

Name Value
php-enchant -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php7.0-enchant_7.0.33-0ubuntu0.16.04.6_amd64.deb
Source Package php7.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php7.0-enchant deb package:
    # sudo apt-get install php7.0-enchant

Files

Path
/usr/lib/php/20151012/enchant.so
/usr/share/bug/php7.0-enchant/control
/usr/share/bug/php7.0-enchant/script
/usr/share/doc/php7.0-enchant
/usr/share/lintian/overrides/php7.0-enchant
/usr/share/php7.0-enchant/enchant/enchant.ini

Changelog

2019-08-12 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
php7.0 (7.0.33-0ubuntu0.16.04.6) xenial-security; urgency=medium
* SECURITY UPDATE: Heap-buffer-overflow
- debian/patches/CVE-2019-11041.patch: check Thumbnail.size in order
to avoid an overflow in ext/exif.exif.c and adding test to
ext/exif/tests/bug78222.phpt.
- CVE-2019-11041
* SECURITY UPDATE: Heap-buffer-overflow
- debian/patches/CVE-2019-11042.patch: check ByteCount in order to
avoid an overflow in ext/exif/exif.c and adding tests to
ext/exif/tests/bug78256.phpt.
- CVE-2019-11042
2019-06-04 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
php7.0 (7.0.33-0ubuntu0.16.04.5) xenial-security; urgency=medium
* SECURITY UPDATE: overflow in exif_process_IFD_TAG
- debian/patches/CVE-2019-11036.patch: check dir_entry in
ext/exif/exif.c.
- CVE-2019-11036
* SECURITY UPDATE: out-of-bounds read in _php_iconv_mime_decode()
- debian/patches/CVE-2019-11039.patch: add an extra check in
ext/iconv/iconv.c.
- CVE-2019-11039
* SECURITY UPDATE: heap-buffer-overflow on php_jpg_get16
- debian/patches/CVE-2019-11040.patch: add an extra check in
ext/exif/exif.c.
- CVE-2019-11040
2019-04-18 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
php7.0 (7.0.33-0ubuntu0.16.04.4) xenial-security; urgency=medium
* SECURITY UPDATE: Heap-buffer-overflow in php_ifd_get32s
- debian/patches/CVE-2019-11034.patch: check size in ext/exif/exif.c.
- CVE-2019-11034
* SECURITY UPDATE: Heap-buffer-overflow in exif_iif_add_value in EXIF
- debian/patches/CVE-2019-11035-1.patch: add checks to ext/exif/exif.c.
- debian/patches/CVE-2019-11035-2.patch: add casts to ext/exif/exif.c.
- debian/patches/CVE-2019-11035-3.patch: fix typo in ext/exif/exif.c.
- CVE-2019-11035
2019-03-21 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
php7.0 (7.0.33-0ubuntu0.16.04.3) xenial-security; urgency=medium
* SECURITY UPDATE: Unauthorized users access
- debian/patches/CVE-2019-9637.patch: fix in
main/streams/plain_wrapper.c.
- CVE-2019-9637
* SECURITY UPDATE: Invalid read in exif_process_IFD_MAKERNOTE
- debian/patches/CVE-2019-9638-and-CVE-2019-9639-*.patch: fix in
ext/exif/exif.c, added tests in ext/exif/tests/bug77563.jpg,
ext/exif/tests/bug77563.phpt.
- CVE-2019-9638
- CVE-2019-9639
* SECURITY UPDATE: Invalid read
- debian/patches/CVE-2019-9640.patch: fix in
ext/exif/exif.c, added tests in ext/exif/tests/bug77540.jpg,
ext/exif/tests/bug77540.phpt.
- CVE-2019-9640
* SECURITY UPDATE: Unitialized read
- debian/patches/CVE-2019-9641.patch: fix in ext/exif/exif.c.
- CVE-2019-9641
* SECURITY UPDATE: Buffer overflow
- debian/patches/CVE-2019-9675.patch: fix in
ext/phar/tar.c, added tests in ext/phar/tests/bug71488.phpt,
ext/phar/tests/bug77586,phpt, ext/phar/tests/bug77586/files/*.

See Also

Package Description
php7.0-fpm_7.0.33-0ubuntu0.16.04.6_amd64.deb server-side, HTML-embedded scripting language (FPM-CGI binary)
php7.0-imap_7.0.33-0ubuntu0.16.04.6_amd64.deb IMAP module for PHP
php7.0-interbase_7.0.33-0ubuntu0.16.04.6_amd64.deb Interbase module for PHP
php7.0-intl_7.0.33-0ubuntu0.16.04.6_amd64.deb Internationalisation module for PHP
php7.0-mbstring_7.0.33-0ubuntu0.16.04.6_amd64.deb MBSTRING module for PHP
php7.0-mcrypt_7.0.33-0ubuntu0.16.04.6_amd64.deb libmcrypt module for PHP
php7.0-phpdbg_7.0.33-0ubuntu0.16.04.6_amd64.deb server-side, HTML-embedded scripting language (PHPDBG binary)
php7.0-soap_7.0.33-0ubuntu0.16.04.6_amd64.deb SOAP module for PHP
php7.0-sybase_7.0.33-0ubuntu0.16.04.6_amd64.deb Sybase module for PHP
php7.0-xsl_7.0.33-0ubuntu0.16.04.6_all.deb XSL module for PHP (dummy)
php7.0-zip_7.0.33-0ubuntu0.16.04.6_amd64.deb Zip module for PHP
phpldapadmin_1.2.2-5.2ubuntu2.1_all.deb web based interface for administering LDAP servers
phpmyadmin_4.5.4.1-2ubuntu2.1_all.deb MySQL web administration tool
picocom_1.7-2build0.16.04.1_amd64.deb minimal dumb-terminal emulation program
pidgin-data_2.10.12-0ubuntu5.2_all.deb multi-protocol instant messaging client - data files
Advertisement
Advertisement